# TRTCVideoEncParam class Null safety

Encoding parameters

Parameters related to video encoder. These settings determine the quality of image viewed by remote users, which is also the image quality of recorded video files in the cloud.

## Constructors

TRTCVideoEncParam({int videoBitrate = 200, int videoResolution = 60, int videoResolutionMode = 1, int videoFps = 10, int minVideoBitrate = 200, bool enableAdjustRes = false})

## Properties

enableAdjustRes ↔ bool
  Field description: whether resolution adjustment is allowed
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
minVideoBitrate ↔ int
  Field description: minimum video bitrate. The SDK will reduce the bitrate to as low as the value specified by `minVideoBitrate` only if the network conditions are poor.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
videoBitrate ↔ int
  Field description: target video bitrate. The SDK encodes streams at the target video bitrate and will actively reduce the bitrate only if the network conditions are poor.
  read / write
videoFps ↔ int
  Field description: video capturing frame rate
  read / write
videoResolution ↔ int
  Field description: video resolution
  read / write
videoResolutionMode ↔ int
  Field description: resolution mode (landscape/portrait)
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited